
body{
    margin:0;
    padding-top:90px; 
    font-family: Arial, sans-serif;
    background: linear-gradient(to right, #A38C55, #E8DCC2);;
    color:#333;
}


nav {
    position: fixed; 
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 30px 40px;
   background: linear-gradient(to right, #A38C55, #E8DCC2);
    z-index: 1000;
    transition: all 0.4s;
    backdrop-filter: blur(10px);
}
.nav-left, .nav-right {
    display: flex;
    align-items: center;
    gap: 15px;
}
nav.scrolled .nav-left a,
nav.scrolled .nav-right a {
    color: #ffffff;
}
nav.scrolled {
    padding: 15px 40px; 
    background: white;
    box-shadow:0 2px 10px rgba(0,0,0,0.1);
}
nav.scrolled .cart-link {
    color:#A38C55;
}

nav.scrolled #cart-count {
    color:#A38C55;
}


.logo img {
    height: 70px; 
    transition: height 0.4s;
}

nav.scrolled .logo img {
    height: 50px; 
}


.logo {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.nav-left a, .nav-right a {
    color: white;
    font-weight: bold;
    text-decoration: none;
    transition: 0.3s;
}

.nav-left a:hover, .nav-right a:hover {
    color:#A38C55;
}

.logo {
    font-size:28px;
    color:white;
    font-weight:bold;
}




.nav-links a:hover {
    color:#A38C55;
}


.cart-link {
    position: relative;
    display: flex;
    align-items: center;
    color:white;
    font-weight:bold;
}


#cart-count {
    position: absolute;
    top: -8px;
    right: -8px;
    min-width: 18px;
    text-align: center;
    background: rgba(0,0,0,0.5); 
    color: white;
    font-size:12px;
    font-weight:bold;
    padding: 2px 6px;
    border-radius:50%;
}


nav.scrolled {
    background: #A38C55;
    box-shadow:0 2px 10px rgba(0,0,0,0.1);
}

nav.scrolled .logo {
    color:#A38C55;
}

nav.scrolled .nav-links a {
    color:#333;
}

nav.scrolled .cart-link {
    color:#A38C55;
}

nav.scrolled #cart-count {
    color:#A38C55;
}


.sec {
    position: relative; 
    height: 70vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: white;
    overflow: hidden; 
}


.background-images {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0; 
}


.background-images .bg-img {
    position: absolute;
    width: 180px; 
    height: auto;
    opacity: 0.7; 
    filter: brightness(1.2); 
    transition: transform 0.3s, opacity 0.3s;
}


.background-images .bg-img:nth-child(1) { top: 5%; left: 5%; }
.background-images .bg-img:nth-child(2) { top: 15%; right: 5%; }
.background-images .bg-img:nth-child(3) { bottom: 15%; left: 10%; }
.background-images .bg-img:nth-child(4) { bottom: 10%; right: 10%; }


.sec2 {
    position: relative;
    z-index: 1;
}
.background-images .bg-img:hover {
    transform: scale(1.1) rotate(5deg);
}

.sec2 h2{
    font-size:45px;
    margin-bottom:10px;
}

.sec2 p{
    font-size:20px;
    margin-bottom:25px;
}

.btn{
    background:#A38C55;
    color:white;
    padding:12px 30px;
    border-radius:25px;
    text-decoration:none;
    margin-right:10px;
    transition:0.3s;
}

.btn:hover{
    background:#A38C55;
    transform:scale(1.05);
}


.cards{
    display:flex;
    justify-content:center;
    gap:30px;
    margin-top:40px;
}

.card{
    background:#f9f9f9;
    padding:30px;
    width:200px;
    border-radius:10px;
    box-shadow:0 0 15px rgba(0,0,0,0.1);
    transition:0.3s;
}

.card:hover{
    transform:scale(1.05);
    cursor:pointer;
}


.shop{
    padding:50px;
    text-align:center;
    color: #553f0d;
}

.products{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:20px;
    margin-top:40px;
}

.product-card{
    background: transparent;
    padding:20px;
    border-radius:10px;
    box-shadow: none; 
    transition:0.3s;
}

.product-card:hover{
    transform:scale(1.05);
     box-shadow: 0 8px 25px rgba(0,0,0,0.2);
}

.product-card img{
    width:100%;
    height:300px;
    object-fit:cover;
    border-radius:10px;
}


button{
    background:#A38C55;
    border:none;
    padding:10px 20px;
    color:white;
    border-radius:5px;
    cursor:pointer;
    transition:0.3s;
}

button:hover{
    background:#A38C55;
}


.whatsapp-btn{
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1000;
}

.whatsapp-btn img{
    width: 60px;
    height: 60px;
    cursor: pointer;
    transition: 0.3s;
    border-radius:15px;
}

.whatsapp-btn img:hover{
    transform: scale(1.1);
}


footer{
    text-align:center;
    padding:15px;
    background:#A38C55;
    margin-top:40px;
}
footer .social-links {
    margin-top: 10px;
    display: flex;
    justify-content: center;
    gap: 15px; 
}

footer .social-links a img {
    width: 30px;
    height: 30px;
    transition: 0.3s;
}

footer .social-links a img:hover {
    transform: scale(1.2); 
}

footer .footer-contact {
    margin-top: 15px;
    text-align: center;
    line-height: 1.6;
}

footer .footer-contact a {
    color: #ffffff;
    text-decoration: none;
    font-weight: bold;
}

footer .footer-contact a:hover {
    text-decoration: underline;
}
footer .footer-contact .contact-icon {
    width: 20px;
    height: 20px;
    vertical-align: middle; 
}
.font{
    font-family: 'Allura' , cursive;
}
.go-cart-btn {
    display: block;
    width: 200px;
    margin: 30px auto;
    text-align: center;
    background:#A38C55;
    color: white;
    padding: 12px;
    border-radius: 25px;
    text-decoration: none;
    font-weight: bold;
    transition: 0.3s;
}

.go-cart-btn:hover {
    background:#A38C55;
    transform: scale(1.05);
}
/* ===== Slider ===== */
.slider {
    width: 100%;
    height: 400px;
    overflow: hidden;
    position: relative;
}

.slides {
      width: 100%;
    height: 100%; 
    overflow: hidden;
    position: relative;
}

.slides img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* fill screen without empty space */
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.slides img.active {
    opacity: 1;
}